/*
 * Telepathy Inspector - A Telepathy client which exposes Telepathy interfaces.
 *                       Meant to inspect and/or test connection managers.
 *
 * about.c: descriptive strings, copyright etc. for Help->About and main()
 *
 * Copyright (C) 2008 Collabora Ltd. <http://www.collabora.co.uk/>
 * Copyright (C) 2008 Nokia Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#include "about.h"

#include <stdlib.h>

static const char *_ti_about_authors[] = {
  "Daniel d'Andrada T. de Carvalho <daniel.carvalho@indt.org.br>",
  "Simon McVittie <simon.mcvittie@collabora.co.uk>",
  NULL
};
const char **ti_about_authors = _ti_about_authors;

static const char _ti_about_copyright[] = (
"Copyright (C) 2006 INdT - Instituto Nokia de Tecnologia\n"
"Copyright (C) 2007-2008 Collabora Ltd. <http://www.collabora.co.uk/>\n"
"Copyright (C) 2007-2008 Nokia Corporation");
const char *ti_about_copyright = _ti_about_copyright;

static const char _ti_about_license[] = (
"This program is free software; you can redistribute it and/or modify\n"
"it under the terms of the GNU Lesser General Public License as published by\n"
"the Free Software Foundation; either version 2 of the License, or\n"
"(at your option) any later version.\n"
"\n"
"This program is distributed in the hope that it will be useful,\n"
"but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the\n"
"GNU Lesser General Public License for more details.\n"
"\n"
"You should have received a copy of the GNU Library General Public License\n"
"along with this library; if not, write to the Free Software Foundation, Inc.,\n"
"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA");
const char *ti_about_license = _ti_about_license;

static const char _ti_about_comments[] = (
"telepathy-inspector is a Gtk+ debugging/inspection tool for the Telepathy\n"
"D-Bus API.");
const char *ti_about_comments = _ti_about_comments;


static const char _ti_about_website[] = (
"http://telepathy.freedesktop.org/wiki/TelepathyInspector");
const char *ti_about_website = _ti_about_website;
